All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PHTTPDirRequest Class Reference

`#include <http.h>`

Inheritance diagram for PHTTPDirRequest:

## Public Member Functions

| PHTTPDirRequest (const PURL &url, const PMIMEInfo &inMIME, const PMultiPartList &multipartFormInfo, PHTTPResource *resource, PHTTPServer &server)
Public Member Functions inherited from PHTTPFileRequest
| PHTTPFileRequest (const PURL &url, const PMIMEInfo &inMIME, const PMultiPartList &multipartFormInfo, PHTTPResource *resource, PHTTPServer &server)
Public Member Functions inherited from PHTTPRequest
| PHTTPRequest (const PURL &url, const PMIMEInfo &inMIME, const PMultiPartList &multipartFormInfo, PHTTPResource *resource, PHTTPServer &server)
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Public Attributes

PString | fakeIndex
PFilePath | realPath
Public Attributes inherited from PHTTPFileRequest
PFile | file
Public Attributes inherited from PHTTPRequest
PHTTPServer & | server
| Server channel that request initiated on. More...
const PURL & | url
| Universal Resource Locator for document. More...
const PMIMEInfo & | inMIME
| Extra MIME information in command. More...
const PMultiPartList & | multipartFormInfo
| multipart form information, if any More...
PHTTP::StatusCode | code
| Status code for OnError() reply. More...
PMIMEInfo | outMIME
| MIME information used in reply. More...
PString | entityBody
| original entity body (POST only) More...
PINDEX | contentSize
| Size of the body of the resource data. More...
PIPSocket::Address | origin
| IP address of origin host for request. More...
PIPSocket::Address | localAddr
| IP address of local interface for request. More...
WORD | localPort
| Port number of local server for request. More...
PHTTPResource * | m_resource
| HTTP resource found for the request. More...

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Constructor & Destructor Documentation

PHTTPDirRequest::PHTTPDirRequest | ( | const PURL & | url,
|  | const PMIMEInfo & | inMIME,
|  | const PMultiPartList & | multipartFormInfo,
|  | PHTTPResource * | resource,
|  | PHTTPServer & | server
| ) |  |

## Member Data Documentation

PString PHTTPDirRequest::fakeIndex

PFilePath PHTTPDirRequest::realPath

The documentation for this class was generated from the following file:

- http.h